﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="14.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{30DEA773-F579-4A77-9C73-3D58C81612D0}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>SecondMonitor.DataModel</RootNamespace>
    <AssemblyName>DataModel</AssemblyName>
    <TargetFrameworkVersion>v4.7.2</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\..\Deployment\</OutputPath>
    <DefineConstants>TRACE;DEBUG</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
    <AllowUnsafeBlocks>false</AllowUnsafeBlocks>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>..\..\Deployment\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
    <DebugSymbols>true</DebugSymbols>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Newtonsoft.Json, Version=12.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <HintPath>..\..\packages\Newtonsoft.Json.12.0.2\lib\net45\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="PresentationCore" />
    <Reference Include="protobuf-net, Version=2.4.0.0, Culture=neutral, PublicKeyToken=257b51d87d2e4d67, processorArchitecture=MSIL">
      <HintPath>..\..\packages\protobuf-net.2.4.0\lib\net40\protobuf-net.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Configuration" />
    <Reference Include="System.Core" />
    <Reference Include="System.Runtime.Serialization" />
    <Reference Include="System.ServiceModel" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="BasicProperties\Acceleration.cs" />
    <Compile Include="BasicProperties\Angle.cs" />
    <Compile Include="BasicProperties\AngleUnits.cs" />
    <Compile Include="BasicProperties\BoostStatus.cs" />
    <Compile Include="BasicProperties\ColorDTO.cs" />
    <Compile Include="BasicProperties\DamageInformation.cs" />
    <Compile Include="BasicProperties\Distance.cs" />
    <Compile Include="BasicProperties\DistanceUnits.cs" />
    <Compile Include="BasicProperties\DrsStatus.cs" />
    <Compile Include="BasicProperties\FlagKind.cs" />
    <Compile Include="BasicProperties\Force.cs" />
    <Compile Include="BasicProperties\ForceUnits.cs" />
    <Compile Include="BasicProperties\FuelCalculationScope.cs" />
    <Compile Include="BasicProperties\FuelConsumption\FuelPerDistance.cs" />
    <Compile Include="BasicProperties\FuelConsumption\FuelPerDistanceUnits.cs" />
    <Compile Include="BasicProperties\FuelLevelStatus.cs" />
    <Compile Include="BasicProperties\IQuantity.cs" />
    <Compile Include="BasicProperties\MultiClassDisplayKind.cs" />
    <Compile Include="BasicProperties\OptimalQuantity.cs" />
    <Compile Include="BasicProperties\InputInfo.cs" />
    <Compile Include="BasicProperties\Orientation.cs" />
    <Compile Include="BasicProperties\Point3D.cs" />
    <Compile Include="BasicProperties\Power.cs" />
    <Compile Include="BasicProperties\PressureUnits.cs" />
    <Compile Include="BasicProperties\TemperatureUnits.cs" />
    <Compile Include="BasicProperties\TyreWear.cs" />
    <Compile Include="BasicProperties\Units\PowerUnits.cs" />
    <Compile Include="BasicProperties\Units\Torque.cs" />
    <Compile Include="BasicProperties\Units\TorqueUnits.cs" />
    <Compile Include="BasicProperties\Velocity.cs" />
    <Compile Include="BasicProperties\VelocityUnits.cs" />
    <Compile Include="BasicProperties\Volume.cs" />
    <Compile Include="BasicProperties\VolumeUnits.cs" />
    <Compile Include="BasicProperties\SessionLengthType.cs" />
    <Compile Include="Calculators\YawCalculator.cs" />
    <Compile Include="DriversPresentation\DriverPresentationDTO.cs" />
    <Compile Include="DriversPresentation\DriverPresentationsDTO.cs" />
    <Compile Include="Extensions\CollectionExtension.cs" />
    <Compile Include="Extensions\DoubleExtension.cs" />
    <Compile Include="Extensions\TimeSpanExtension.cs" />
    <Compile Include="OperationalRange\CarModelProperties.cs" />
    <Compile Include="OperationalRange\DataSourceProperties.cs" />
    <Compile Include="OperationalRange\TyreCompoundProperties.cs" />
    <Compile Include="SimulatorContent\Car.cs" />
    <Compile Include="SimulatorContent\CarClass.cs" />
    <Compile Include="SimulatorContent\SimulatorContent.cs" />
    <Compile Include="SimulatorContent\SimulatorsContent.cs" />
    <Compile Include="SimulatorContent\Track.cs" />
    <Compile Include="SimulatorsNameMap.cs" />
    <Compile Include="Snapshot\Drivers\DriverFinishStatus.cs" />
    <Compile Include="Snapshot\Drivers\GapInformationKind.cs" />
    <Compile Include="Snapshot\Drivers\IDriverInfo.cs" />
    <Compile Include="Snapshot\ISimulatorDataSetVisitor.cs" />
    <Compile Include="Snapshot\PitWindowInformation.cs" />
    <Compile Include="Snapshot\PitWindowState.cs" />
    <Compile Include="Snapshot\SessionPhase.cs" />
    <Compile Include="BasicProperties\SessionType.cs" />
    <Compile Include="Snapshot\Systems\BoostSystem.cs" />
    <Compile Include="Snapshot\Systems\CarDamageInformation.cs" />
    <Compile Include="Snapshot\Systems\CarInfo.cs" />
    <Compile Include="Snapshot\DataInputSupport.cs" />
    <Compile Include="Snapshot\DatamodelSerializerHelper.cs" />
    <Compile Include="Snapshot\Drivers\DriverDebugInfo.cs" />
    <Compile Include="Snapshot\Drivers\DriverInfo.cs" />
    <Compile Include="Snapshot\Drivers\DriverTimingInfo.cs" />
    <Compile Include="Snapshot\SessionInfo.cs" />
    <Compile Include="Snapshot\SimulatorDataSet.cs" />
    <Compile Include="Snapshot\Systems\DrsSystem.cs" />
    <Compile Include="Snapshot\Systems\FuelInfo.cs" />
    <Compile Include="Snapshot\Systems\OilInfo.cs" />
    <Compile Include="BasicProperties\Pressure.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="BasicProperties\Temperature.cs" />
    <Compile Include="Snapshot\SimulatorSourceInfo.cs" />
    <Compile Include="Snapshot\Systems\WaterInfo.cs" />
    <Compile Include="Snapshot\Systems\Wheels.cs" />
    <Compile Include="Snapshot\TelemetryInfo.cs" />
    <Compile Include="Snapshot\TrackInfo.cs" />
    <Compile Include="Snapshot\WeatherInfo.cs" />
    <Compile Include="Snapshot\Systems\WheelInfo.cs" />
    <Compile Include="Summary\Driver.cs" />
    <Compile Include="Summary\FuelConsumptionInfo.cs" />
    <Compile Include="Summary\FuelConsumption\CarFuelConsumptionHistory.cs" />
    <Compile Include="Summary\FuelConsumption\OverallFuelConsumptionHistory.cs" />
    <Compile Include="Summary\FuelConsumption\TrackConsumptionsHistory.cs" />
    <Compile Include="Summary\FuelStatusSnapshot.cs" />
    <Compile Include="Summary\Lap.cs" />
    <Compile Include="Summary\PitStopSummary.cs" />
    <Compile Include="Summary\FuelConsumption\SessionFuelConsumptionDto.cs" />
    <Compile Include="Summary\SessionSummary.cs" />
    <Compile Include="Telemetry\ITimedTelemetrySnapshotVisitor.cs" />
    <Compile Include="Telemetry\TelemetrySnapshot.cs" />
    <Compile Include="Telemetry\TimedTelemetrySnapshot.cs" />
    <Compile Include="Telemetry\TimedTelemetrySnapshots.cs" />
    <Compile Include="TrackMap\ITrackGeometry.cs" />
    <Compile Include="TrackMap\ITrackMap.cs" />
    <Compile Include="TrackMap\TrackGeometryDTO.cs" />
    <Compile Include="TrackMap\TrackMapDto.cs" />
    <Compile Include="TrackRecords\NamedRecordSet.cs" />
    <Compile Include="TrackRecords\RecordEntryDTO.cs" />
    <Compile Include="TrackRecords\RecordSet.cs" />
    <Compile Include="TrackRecords\SimulatorRecords.cs" />
    <Compile Include="TrackRecords\SimulatorsRecords.cs" />
    <Compile Include="TrackRecords\TrackRecord.cs" />
    <Compile Include="Visitors\ComputeGapToPlayerVisitor.cs" />
    <Compile Include="Visitors\ComputeSuspensionVelocityVisitor.cs" />
  </ItemGroup>
  <ItemGroup />
  <ItemGroup>
    <None Include="packages.config" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>